function [value,position] = findnearinvector(A,b)
% PURPOSE: finds element in the input vector with 
%          value closest to the input value b 
% -----------------------------------------------------
% USAGE: [value,pos] = findnear(A,b)
%          where:  A = a vector
%                  b = value
% -----------------------------------------------------
% RETURNS: value = nearest value
%          pos   = scalar if A is a vector containing row element
%                = 1 x 2 vector is A is a matrix with row,col element
% -----------------------------------------------------

if nargin ~= 2
error('findnear: Wrong # of input arguments');
end;

   dist = abs(A-b);
   % The minimum of the distance vector
   tmp = repmat(min(dist(:)),size(dist));
   position = min(find(dist == tmp));
   value = A(position,1);
          